#!/bin/bash

CMDS='ouf_update ouf_fetch scripts/picapull.pl scripts/decode.pl'

SIG=15
if [ $1 ]
  then
  SIG=$1
fi

for c in $CMDS
  do
    PID=`ps ax | grep ${c} | grep -v grep | sed 's/^ *//' | cut -d ' ' -f 1`
    if [ $PID ]
      then
	kill -$SIG $PID
	echo "Stopping ${c} (PID ${PID}) with signal $SIG"
      else
        echo "WARN: ${c} is not running"
    fi
done
