/*========================================================================
 *  Copyright (c) 2000 by Pica
 *
 *  File	: fiolbs_upd_statistics.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 22-02-2000
 *
 *  History:
 *  22-02-2000	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOLBS_UPD_STATISTICS_H_INCLUDED
#define FIOLBS_UPD_STATISTICS_H_INCLUDED

#pragma ident "$Id: fiolbs_upd_statistics.h 261102 2010-11-30 15:22:09Z sieburgw $"

#ifndef FIO_period_t_TYPED
#define FIO_period_t_TYPED
typedef char	period_t[6 + 1];
#endif


/* Structure in which records are stored */

typedef struct FIOlbs_upd_statisticsRecord_t {
	int8	program_id;
	int8	fno;
	period_t	period;
	period_t	period2;
	int8	count_id;
	int32	number;
} FIOlbs_upd_statisticsRecord_t;


bool
FIOlbs_upd_statistics_rm_001 (
    FIOHandle_p handle,
    const char *options,
    FIOlbs_upd_statisticsRecord_t *record );
bool
FIOlbs_upd_statistics_u_001 (
    FIOHandle_p handle,
    const char *options,
    FIOlbs_upd_statisticsRecord_t *record );

bool
FIOlbs_upd_statistics_NEXT (
    FIOHandle_p handle, const char *options,
    FIOlbs_upd_statisticsRecord_t *record );
#endif /* FIOLBS_UPD_STATISTICS_H_INCLUDED */
