/*========================================================================
 *  Copyright (c) 1999 by Pica
 *
 *  File	: fiomaster.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 24-06-1999
 *
 *  History:
 *  24-06-1999	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOMASTER_H_INCLUDED
#define FIOMASTER_H_INCLUDED

#pragma ident "$Id: fiomaster.h 261102 2010-11-30 15:22:09Z sieburgw $"

#include <pica.h>
#include <fio.h>

#if ! defined (SIZE_MASTER_TYPE)
#define SIZE_MASTER_TYPE            2
typedef char mastertype_t [SIZE_MASTER_TYPE+1],
	    *mastertype_p;
#define MASTER_ILL         "IL"
#define MASTER_SDI         "SD"
#define MASTER_TITLE       "TL"
#define MASTER_COPY        "CP"
#define MASTER_USER_GROUP  "US"
#define MASTER_QUEST_DB    "QD"
#endif
bool
FIOILL_Master_SELUPD0 (
    FIOHandle_p handle,
    mastertype_p master_type,
    int32 *highest_number );

bool
FIOCBS_Master_SELUPD0 (
    FIOHandle_p handle,
    mastertype_p master_type,
    int32 *highest_number );

bool
FIODBS_Master_UPD0 (
    FIOHandle_p handle,
    int16 fileset,
    mastertype_p master_type,
    int32 highest_number );

bool
FIODBS_Master_SELUPD0 (
    FIOHandle_p handle,
    int16 fileset,
    mastertype_p master_type,
    int32 *highest_number );

bool
FIODBS_Master_SEL0 (
    FIOHandle_p handle,
    int16 fileset,
    mastertype_p master_type,
    int32 *highest_number );

bool
FIOSDI_Master_SELUPD0 (
    FIOHandle_p handle,
    mastertype_p master_type,
    int32 *highest_number );

bool
FIOQDB_Master_SELUPD0 (
    FIOHandle_p handle,
    int32 *highest_number);

#endif /* FIOMASTER_H_INCLUDED */
