/*========================================================================
 *  Copyright (c) 1993 by Pica
 *
 *  File	: adberror.c
 *  Description	: Definition of ADBerrno
 *  Author(s)	: Hans van Eck
 *  Creation	: 08-11-1993
 *
 *  History:
 *  08-11-1993	: eck      : creation
 *
 *========================================================================
 */

#pragma ident "$Id: adberror.c 295831 2013-01-29 11:28:09Z helspere $"

#include <pica.h>
#include <adb.h>

ERROR_DEFINE(ADBE_NOERROR);
ERROR_DEFINE(ADBE_NOMEM);
ERROR_DEFINE(ADBE_TYPE);
ERROR_DEFINE(ADBE_FILE);
ERROR_DEFINE(ADBE_ILLEGALKEY);
ERROR_DEFINE(ADBE_NOTPRESENT);
ERROR_DEFINE(ADBE_INTEGRITY);
ERROR_DEFINE(ADBE_IO);
ERROR_DEFINE(ADBE_WITHEND);
ERROR_DEFINE(ADBE_SELFCOPY);

ADBErrno_t ADBerrno = ADBE_NOERROR;
