﻿Identified Buffers
==================

This document describes the interface for identified buffers. Identified buffers are strings which can be identified uniquely by a two character identifier. Examples of these buffers are the fields, variables, messages and commands in the Pica3 protocol. This interface is made to make the work in the WM-Library a lot easier. Although the IDB-Library is closely related to the WM-Library, it can be used for other purposes.
The memory allocation is done dynamicaly with blocks of 4KBytes. If a block is full, the block is reallocated with an extra 4KBytes.
Functions


Function|Description
----------------|------------------------------------------------------
IDBOpen()	| Allocate memory
IDBClose()	| Free memory
IDBGet()	| Get contents of identified buffer
IDBGetN()	| Get contents of the next identified buffer
IDBPut()	| Put/Overwrite identified buffer
IDBPutA()	| Put/Append identified buffer
IDBDel()	| Delete identified buffer
