// \cond DOXYGEN_EXCLUDE

/*========================================================================
 *  Copyright (c) 1994 by Pica
 *
 *  File	: niolocal.h
 *  Description	: Local declarations of routines
 *  Author(s)	: Wim Oosterhof
 *  Creation	: 16-08-1994
 *
 *  History:
 *  16-08-1994	: wimo     : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef NIOLOCAL_H_INCLUDED
#define NIOLOCAL_H_INCLUDED

#pragma ident "$Id: niolocal.h 335412 2016-05-27 11:01:38Z heesakkm $"

#include <pica.h>
#include <nio.h>

bool NIOtcpip_open(const char *, int *);

void NIOtcpip_send(int, char *, size_t);

size_t NIOtcpip_recv(int, char *, size_t);

void NIOtcpip_close(int);

void NIOtcpip_setkeepalive(int);

bool NIOpassive_open(int *, int *);

void NIOpassive_send(int, char *, size_t);

size_t NIOpassive_recv(int, char *, size_t);

void NIOpassive_close(int, int);

// \endcond

#endif /* NIOLOCAL_H_INCLUDED */
