/*========================================================================
 *  Copyright (c) 1996 by Pica
 *
 *  File	: pperror.c
 *  Description	: Errors for the PP-library
 *  Author(s)	: Hans van Eck
 *  Creation	: 22-01-1996
 *
 *  History:
 *  22-01-1996	: eck      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#pragma ident "$Id: pperror.c 261102 2010-11-30 15:22:09Z sieburgw $"

#include <pica.h>
#include <pp.h>

ERROR_DEFINE(PPE_NOERROR);
ERROR_DEFINE(PPE_NOMEM);
ERROR_DEFINE(PPE_TYPE);
ERROR_DEFINE(PPE_FORMAT);
ERROR_DEFINE(PPE_OVERFLOW);

PPErrno_t PPerrno = PPE_NOERROR;
