/*========================================================================
 *  Copyright (c) 1994 by Pica
 *
 *  File	: ouf_pf.h
 *  Description	: 
 *  Author(s)	: Remy Deschamps
 *  Creation	: 13-09-1994
 *
 *  History:
 *  13-09-1994	: remy     : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef OUF_PF_H_INCLUDED
#define OUF_PF_H_INCLUDED

#pragma ident "$Id: ouf_pf.h 360943 2018-10-23 16:48:25Z heesakkm $"

#include <pica.h>

#define MAXBUFF 4095   /* caus' buffer can be up to 4K */

extern FILE *PFOpen(const char *file, const char *mode);
extern bool PFClose(FILE *fptr);
extern bool PFRead(FILE *fpt, const char *heading, const char *left, char *right);
extern bool PFUpdate(const char *file, const char *heading, const char *left, const char *right);

#if 0	// Unused functions
extern bool PFReadN(FILE *fpt, const char *heading, int position,
		    char *left, char *right);
extern bool PFDelete(const char *file, const char *heading, const char *left);
extern bool PFStore(const char *file, const char *heading, const char *left, const char *right);
extern bool PFCreateHeading(const char *file, const char *heading);
extern bool PFClearHeading(const char *file, const char *heading, bool HEADALSO);
#endif

#endif /* OUF_PF_H_INCLUDED */
