# Set up the environment variables, so we can compile the OUF tools
#
# Unlike GBV's original, this sets everything relative to the current project directory,
# so things can be done at any location.
# Invoke from the main project directory (where README.md is), as in
#  .  scripts/profile.sh
# Note the dot!

export OUFMAINDIR=`pwd`
export OUF_VERSION=8.3.0-vzg1
export PICAHOME=$OUFMAINDIR/ouf-$OUF_VERSION
export PATH=$PICAHOME/bin:$OUFMAINDIR/scripts:$PATH

#export PATH=$HOME/bin:$HOME/pica/bin:$PATH
export FILEMAP=$OUFMAINDIR/confdir/FILEMAP
#export PICAHOME=$HOME/ouf-$OUF_VERSION

# Things for compiling it
export TARGET_ROOT=$PICAHOME
export BITS=64

export CCOM_FLAGS_GCC="-g -Wno-unused-variable -Wno-unused-but-set-variable -Wno-unused-function"
