
# Set Storage Engines
update STORAGE SET NAME='Cluster Upsert - AuthSkip' where id=10002;
update STORAGE SET URL='http://okapi:9130/' where id=10002;
update STORAGE SET JSON='{\r\n    \"folioAuthPath\": \"bl-users/login\",\r\n    \"folioTenant\": \"minerva2\",\r\n    \"folioUsername\": \"m2_admin\",\r\n    \"folioPassword\": \"\Minerva2admin!",\r\n    \"inventoryUpsertPath\": \"inventory-upsert-hrid\"    \r\n    \"folioAuthSkip\": \"true\"    \r\n}' where id=10002;

update STORAGE SET NAME='Cluster Upsert' where id=1001;
update STORAGE SET URL='http://okapi:9130/' where id=1001;
update STORAGE SET JSON='{\r\n    \"folioAuthPath\": \"bl-users/login\",\r\n    \"folioTenant\": \"minerva2\",\r\n    \"folioUsername\": \"m2_admin\",\r\n    \"folioPassword\": \"\Minerva2admin!",\r\n    \"inventoryUpsertPath\": \"inventory-upsert-hrid\"    \r\n    \"folioAuthSkip\": \"false\"    \r\n}' where id=1001;

# Cleanup Jobs and Engines
delete from HARVESTABLE where id=10007;
delete from STORAGE where id=10001;
delete from STORAGE where id=1002;



# Insert additional Jobs

use localindices;
LOCK TABLES `HARVESTABLE` WRITE;
INSERT INTO `HARVESTABLE` VALUES (10009,'XmlBulkResource',0,'2020-01-01 00:00:00','','2020-01-01 00:00:00','','2020-01-01 00:00:00','25 20 3 4 5','2020-01-01 00:00:00','GBV Migrate 5' ,'NEW','',0,'',NULL,NULL,0,NULL,NULL,NULL,NULL,'','http://esxh-9.gbv.de:8000/picaxml/m5/',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,10002,10004,0,'1','100','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,0,1,300,2,60,'DEBUG','WARN','',NULL,0,0,NULL,NULL,NULL,0,NULL,'',0,0,0,'','','xml',NULL,'','','',0,'','CLEAN_DIRECTORY',100,1000),
(10010,'XmlBulkResource',0,'2020-01-01 00:00:00','','2020-01-01 00:00:00','','2020-01-01 00:00:00','25 20 3 4 5','2020-01-01 00:00:00','GBV Migrate 6' ,'NEW','',0,'',NULL,NULL,0,NULL,NULL,NULL,NULL,'','http://esxh-9.gbv.de:8000/picaxml/m6/',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,10002,10004,0,'1','100','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,0,1,300,2,60,'DEBUG','WARN','',NULL,0,0,NULL,NULL,NULL,0,NULL,'',0,0,0,'','','xml',NULL,'','','',0,'','CLEAN_DIRECTORY',100,1000),
(10011,'XmlBulkResource',0,'2020-01-01 00:00:00','','2020-01-01 00:00:00','','2020-01-01 00:00:00','25 20 3 4 5','2020-01-01 00:00:00','GBV Migrate 7' ,'NEW','',0,'',NULL,NULL,0,NULL,NULL,NULL,NULL,'','http://esxh-9.gbv.de:8000/picaxml/m7/',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,10002,10004,0,'1','100','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,0,1,300,2,60,'DEBUG','WARN','',NULL,0,0,NULL,NULL,NULL,0,NULL,'',0,0,0,'','','xml',NULL,'','','',0,'','CLEAN_DIRECTORY',100,1000),
(10012,'XmlBulkResource',0,'2020-01-01 00:00:00','','2020-01-01 00:00:00','','2020-01-01 00:00:00','25 20 3 4 5','2020-01-01 00:00:00','GBV Migrate 8' ,'NEW','',0,'',NULL,NULL,0,NULL,NULL,NULL,NULL,'','http://esxh-9.gbv.de:8000/picaxml/m8/',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,10002,10004,0,'1','100','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,0,1,300,2,60,'DEBUG','WARN','',NULL,0,0,NULL,NULL,NULL,0,NULL,'',0,0,0,'','','xml',NULL,'','','',0,'','CLEAN_DIRECTORY',100,1000),
(10013,'XmlBulkResource',0,'2020-01-01 00:00:00','','2020-01-01 00:00:00','','2020-01-01 00:00:00','25 20 3 4 5','2020-01-01 00:00:00','GBV Migrate 9' ,'NEW','',0,'',NULL,NULL,0,NULL,NULL,NULL,NULL,'','http://esxh-9.gbv.de:8000/picaxml/m9/',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,10002,10004,0,'1','100','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1,0,1,300,2,60,'DEBUG','WARN','',NULL,0,0,NULL,NULL,NULL,0,NULL,'',0,0,0,'','','xml',NULL,'','','',0,'','CLEAN_DIRECTORY',100,1000);
UNLOCK TABLES;

# Changed all URLs
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/' where id=10001;
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/m0/' where id=10002;
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/m1/' where id=10003;
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/m2/' where id=10004;
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/m3/' where id=10005;
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/m4/' where id=10006;
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/m5/' where id=10009;
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/m6/' where id=10010;
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/m7/' where id=10011;
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/m8/' where id=10012;
update HARVESTABLE SET URL='http://ouf-minerva2/picaxml/m9/' where id=10013;

# Set correct Transformation Pipeline
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10001;
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10002;
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10003;
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10004;
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10005;
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10006;
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10009;
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10010;
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10011;
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10012;
update HARVESTABLE SET TRANSFORMATION_ID=10005 where id=10013;

# Set correct Storage for "Online Update" process
update HARVESTABLE SET STORAGE_ID=1001 where id=10001;

# Unset "Ask server for new files only" 
update HARVESTABLE SET ALLOWCONDREQ=1 where id=10001;

update HARVESTABLE SET ALLOWCONDREQ=0 where id=10002;
update HARVESTABLE SET ALLOWCONDREQ=0 where id=10003;
update HARVESTABLE SET ALLOWCONDREQ=0 where id=10004;
update HARVESTABLE SET ALLOWCONDREQ=0 where id=10005;
update HARVESTABLE SET ALLOWCONDREQ=0 where id=10006;
update HARVESTABLE SET ALLOWCONDREQ=0 where id=10009;
update HARVESTABLE SET ALLOWCONDREQ=0 where id=10010;
update HARVESTABLE SET ALLOWCONDREQ=0 where id=10011;
update HARVESTABLE SET ALLOWCONDREQ=0 where id=10012;
update HARVESTABLE SET ALLOWCONDREQ=0 where id=10013;
