/*========================================================================
 *  Copyright (c) 1994 by Pica
 *
 *  File	: enverror.c
 *  Description	: Errors for the env-library
 *  Author(s)	: Hans van Eck
 *  Creation	: 27-06-1994
 *
 *  History:
 *  27-06-1994	: eck      : creation
 *
 *========================================================================
 */

#pragma ident "$Id: enverror.c 305171 2013-11-01 13:41:52Z sieburgw $"

#include <pica.h>
#include <env.h>

ERROR_DEFINE(ENVE_NOERROR);
ERROR_DEFINE(ENVE_NOMEM);
ERROR_DEFINE(ENVE_IO);
ERROR_DEFINE(ENVE_FILEMAP);
ERROR_DEFINE(ENVE_OPTION);
ERROR_DEFINE(ENVE_VARMISSING);

ENVErrno_t ENVerrno = ENVE_NOERROR;
