/*========================================================================
 *  Copyright (c) 2002 by OCLC PICA
 *
 *  File	: fioous_pamphlet_volume.h
 *  Description	: 
 *  Author(s)	: Els van Doorn
 *  Creation	: 26-11-2002
 *
 *  History:
 *  26-11-2002	: els      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#ifndef FIOOUS_PAMPHLET_VOLUME_H_INCLUDED
#define FIOOUS_PAMPHLET_VOLUME_H_INCLUDED

#pragma ident "$Id: fioous_pamphlet_volume.h 261102 2010-11-30 15:22:09Z sieburgw $"

#include <pica.h>


/* Structure in which records are stored */

typedef struct FIOous_pamphlet_volumeRecord_t {
	int32	epn;
	int32	volume_number;
	int16	iln;
} FIOous_pamphlet_volumeRecord_t;

bool
FIOous_pamphlet_volume_SEL0(
	FIOHandle_p		handle,
	const char		*options,
	int32		epn,
	int16		iln,
	FIOous_pamphlet_volumeRecord_t	*record);


#endif
