/*========================================================================
 *  Copyright (c) 1994 by Pica
 *
 *  File	: applerror.c
 *  Description	: General application errors
 *  Author(s)	: Hans van Eck
 *  Creation	: 27-06-1994
 *
 *  History:
 *  27-06-1994	: eck      : creation
 *
 *========================================================================
 */

#pragma ident "$Id: applerror.c 346883 2017-07-31 07:37:48Z smitp $"

#include <pica.h>

ERROR_DEFINE(APPLE_NOERROR);
ERROR_DEFINE(APPLE_NOMEM);
ERROR_DEFINE(APPLE_INTERNAL);
ERROR_DEFINE(APPLE_FATAL);
ERROR_DEFINE(APPLE_INCIDENTAL);
ERROR_DEFINE(APPLE_PARAM);
ERROR_DEFINE(APPLE_FILEOPEN);
ERROR_DEFINE(APPLE_FILEREAD);
ERROR_DEFINE(APPLE_FILEWRITE);
ERROR_DEFINE(APPLE_FILECLOSE);
ERROR_DEFINE(APPLE_BUFFEROVERFLOW);
ERROR_DEFINE(APPLE_CURSESINIT);
ERROR_DEFINE(APPLE_CURSES);

APPLErrno_t APPLerrno = APPLE_NOERROR;
