/*========================================================================
 *  Copyright (c) 1994 by Pica
 *
 *  File	: p3error.c
 *  Description	: Define the errors for the p3-library
 *  Author(s)	: Hans van Eck
 *  Creation	: 05-09-1994
 *
 *  History:
 *  05-09-1994	: eck      : creation
 *
 *========================================================================
 */

#pragma ident "$Id: p3error.c 305171 2013-11-01 13:41:52Z sieburgw $"

#include <pica.h>
#include <p3.h>

ERROR_DEFINE(P3E_NOERROR);
ERROR_DEFINE(P3E_NOMEM);
ERROR_DEFINE(P3E_SERVER);
ERROR_DEFINE(P3E_NOSUPPORT);
ERROR_DEFINE(P3E_AUTHORITY);
ERROR_DEFINE(P3E_IDPASSWRONG);
ERROR_DEFINE(P3E_DISCONNECT);
ERROR_DEFINE(P3E_PROTOCOL);
ERROR_DEFINE(P3E_TYPE);
ERROR_DEFINE(P3E_NOHITS);
ERROR_DEFINE(P3E_NOINFO);
ERROR_DEFINE(P3E_SETFULL);
ERROR_DEFINE(P3E_BUFFER);
ERROR_DEFINE(P3E_NOLIBS);
ERROR_DEFINE(P3E_OWNLIB);
ERROR_DEFINE(P3E_SETWRONG);
ERROR_DEFINE(P3E_TTLWRONG);
ERROR_DEFINE(P3E_FLDWRONG);
ERROR_DEFINE(P3E_EMAIL);
ERROR_DEFINE(P3E_MAXCHANNEL);
ERROR_DEFINE(P3E_MOREINFO);
ERROR_DEFINE(P3E_REJECT);
ERROR_DEFINE(P3E_STOPWORD);
ERROR_DEFINE(P3E_LIBDEPOSIT);
ERROR_DEFINE(P3E_USRDEPOSIT);

P3Errno_t P3errno = P3E_NOERROR;
