/*========================================================================
 *  Copyright (c) 1994 by Pica
 *
 *  File	: wmerror.c
 *  Description	: Errors for the WM-library
 *  Author(s)	: Hans van Eck
 *  Creation	: 27-06-1994
 *
 *  History:
 *  27-06-1994	: eck      : creation
 *
 *  Notes	:
 *
 *========================================================================
 */

#pragma ident "$Id: wmerror.c 261102 2010-11-30 15:22:09Z sieburgw $"

#include <pica.h>
#include <wm.h>

ERROR_DEFINE(WME_NOERROR);
ERROR_DEFINE(WME_EOF);
ERROR_DEFINE(WME_OVERFLOW);
ERROR_DEFINE(WME_LENGTH);
ERROR_DEFINE(WME_ILLEGALCONTEXT);
ERROR_DEFINE(WME_MAXCONTEXT);
ERROR_DEFINE(WME_INTEGRITY);
ERROR_DEFINE(WME_NOIDENT);
ERROR_DEFINE(WME_MAXCOMMAND);
ERROR_DEFINE(WME_MAXMESSAGE);
ERROR_DEFINE(WME_HISIDENT);
ERROR_DEFINE(WME_UNKNOWNPART);
ERROR_DEFINE(WME_FEPERROR);
ERROR_DEFINE(WME_NOTFOUND);

WMErrno_t WMerrno = WME_NOERROR;
